Search documentation of Ragex

# Ragex.MCP.Server (Ragex v0.4.0)

View Source

MCP Server implementation that communicates via stdio.

Reads JSON-RPC messages from stdin, processes them, and writes responses to stdout.

## Summary

### Functions

child_spec(init_arg)

Returns a specification to start this module under a supervisor.

send_notification(method, params \\ nil)

Send a notification to the client.

start_link(opts \\ [])

## Functions

# child_spec(init_arg)

Returns a specification to start this module under a supervisor.

See `Supervisor`.

# send_notification(method, params \\ nil)

Send a notification to the client.

Notifications are one-way messages with no response expected.

# start_link(opts \\ [])